////////////////////////////////////////////////////////////////////////////////
//
//	Module	CALIB
//
//	SWA PAS calibration parameters
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__CALIB_H
#define	__CALIB_H

#include "CATALOG.h"

#define	NB_ELEVATION	9
#define	NB_CEM		11	
#define	NB_ENERGY	96

#define	FILL_VALUE	-1.0E+31	// Floating fill value

//	Set calibration parameters for a given model
//
t_err	Init_calib (char * model);

//	Compute HSK physcical value for a given key name
//
float	Hsk_physical_value (char * key, int value);

typedef struct {
	float min;
	float moy;
	float max;
	float sin;
	float cos;
}       t_angle_bin;

typedef	struct {
	float	min;
	float	moy;
	float	max;
}	t_energy_bin;

extern	t_angle_bin	AZS [NB_CEM];
extern	t_angle_bin	AZF [NB_CEM][NB_ELEVATION];
extern	t_angle_bin	ELS [NB_ELEVATION];
extern	t_angle_bin	ELF [NB_CEM][NB_ELEVATION];
extern	float		ELD [NB_ENERGY];
extern	t_energy_bin	EVS [NB_ENERGY];
extern	t_energy_bin	EVF [NB_CEM][NB_ELEVATION][NB_ENERGY];
extern	float 		GFF [NB_CEM][NB_ELEVATION];
extern	float		CNF [NB_CEM][NB_ELEVATION][NB_ENERGY];	
extern	float		YIL [NB_CEM][NB_ELEVATION][NB_CEM][NB_ELEVATION];


//	Read calibration parameters for a given key and time
//
t_err	Read_calib (char * key, time_t time);


#endif
