////////////////////////////////////////////////////////////////////////////////
//
//	SOLAR software error handling tools
//
////////////////////////////////////////////////////////////////////////////////

#ifndef	__ERRORS_H
#define	__ERRORS_H

#ifndef	FALSE
#define	FALSE	0
#define	TRUE 	(! FALSE)
#endif

typedef enum {			// Error and Warnings
	OK = 0,

	WARNING = 2,		// Warnings
	WAR_argument,
	WAR_date,
	WAR_eof,
	WAR_open,
	WAR_read,
	WAR_write,
	WAR_packet,
	WAR_alloc,
	WAR_cdf,
	WAR_glob,

	ERROR = 100,		// Errors
	ERR_argument,
	ERR_date,
	ERR_eof,
	ERR_open,
	ERR_read,
	ERR_write,
	ERR_packet,
	ERR_alloc,
	ERR_cdf,
	ERR_glob,
}	t_err;


//	Test fatal error
//
int	Error (t_err err);

//	Test warning
//
int	Warning (t_err err);


//	Update trace level
//
void 	Set_trace_level (int level);

//	Get trace level
//
int	Get_trace_level ();


//	Set default logfile to stdout
//
void	Reset_logfile();

//	Redirecting output logs stdout to logfile
//
t_err	Set_logfile (char * filename);


//	Create directory

//	Log error messages
//
void	Error_log (char * fname, char * format, ...);

//	Log warning message
//
void	Warning_log (char * fname, char * format, ...);


//	Log information message
//
void	Message_log (int level, char * fname, char * format, ...);
	
#endif

